"use strict";

exports.__esModule = true;
exports.dateRenderer = dateRenderer;
var _autocompleteRenderer = require("../autocompleteRenderer");
var _a11y = require("../../helpers/a11y");
var _element = require("../../helpers/dom/element");
const RENDERER_TYPE = exports.RENDERER_TYPE = 'date';

/**
 * Handsontable renderer.
 *
 * @private
 * @param {Core} hotInstance The Handsontable instance.
 * @param {HTMLTableCellElement} TD The rendered cell element.
 * @param {number} row The visual row index.
 * @param {number} col The visual column index.
 * @param {number|string} prop The column property (passed when datasource is an array of objects).
 * @param {*} value The rendered value.
 * @param {object} cellProperties The cell meta object ({@see Core#getCellMeta}).
 */
function dateRenderer(hotInstance, TD, row, col, prop, value, cellProperties) {
  _autocompleteRenderer.autocompleteRenderer.apply(this, [hotInstance, TD, row, col, prop, value, cellProperties]);
  if (hotInstance.getSettings().ariaTags) {
    (0, _element.setAttribute)(TD, [(0, _a11y.A11Y_HASPOPUP)('dialog'), (0, _a11y.A11Y_EXPANDED)('false')]);
  }
}
dateRenderer.RENDERER_TYPE = RENDERER_TYPE;